Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## name.milesparker.epi.contact
Class EpidemicAdapterFactory

    java.lang.Object
      name.milesparker.epi.contact.EpidemicAdapterFactory

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdapterFactory

    public class EpidemicAdapterFactory

extends java.lang.Object
implements org.eclipse.core.runtime.IAdapterFactory

Epidemic Java Implementation. A simple model of epidemic dynamics. We define individual agents with different disease states. The progression of disease moves from succeptible to exposed to infectious (either symptomatic or asymptomatic) to some outcome state. Agents can transmit infection to their immediate neighbors. For some background on the general approach, see Joshua M. Epstein. "Generative Social Science". 2006. Princeton. Copyright 2009, Miles Parker. Released under Eclipse Public License. All uses should be attributed. Generated by AMF for model: EpidemicContact.metaabm in project: org.eclipse.amp.amf.examples.escape

Constructor Summary
`EpidemicAdapterFactory()`

Method Summary
`java.lang.Object` | `getAdapter(java.lang.Object agent, java.lang.Class type)`
`java.lang.Class[]` | `getAdapterList()`
`static org.eclipse.core.runtime.IAdapterFactory` | `getDefault()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EpidemicAdapterFactory

    public EpidemicAdapterFactory()

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object agent,
                                       java.lang.Class type)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Parameters:
    `arg0` -
    `arg1` -
  Returns:
  See Also:
    `IAdapterFactory.getAdapter(java.lang.Object, java.lang.Class)`

### getAdapterList

    public java.lang.Class[] getAdapterList()

  Specified by:
    `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Returns:
  See Also:
    `IAdapterFactory.getAdapterList()`

### getDefault

    public static org.eclipse.core.runtime.IAdapterFactory getDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD